/*
    Plugin Name: Dropdown.js
    Description Tags: dropdown.js | custom class | full-width/normal/dynamic-top | body click dropdown content hide
    Created: 02/02/2016
    Last Updated: 02/02/2016
    Version: 1.0
    Author: royprashenjeet25@gmail.com
    Options:
        - dropdownWidth
        - dropdownTopAuto
        - customClass
*/
;
(function($) { 
    "use strict";
    $.fn.dropdown = function(options) {
        
            var targetClick = $('.js-dp-click');
            var targetContent = $('.js-dp-content');

            // Extend our default options
            var settings = $.extend({}, $.fn.dropdown.defaults, options);

            // binding click events
            this.bind("click.dropdown", function(bevnt) {
                $(this).children('.js-dp-click').toggleClass('target');
                $(this).children('.js-dp-content').toggleClass('toggleHideShow');
                targetClick.parents('body').find('.js-dp-content').not($(this).children('.js-dp-content')).removeClass('toggleHideShow');
                targetClick.not($(this).children('.js-dp-content')).removeClass('toggleHideShow');
                $(this).parents('body').find('.target').not($(this).children('.js-dp-click')).removeClass('target');
            });

            return this.each(function(index, el) {
                // dropdownWidth - if it's not undefined && equal to true
                if (settings.dropdownWidth !== 'undefined' && settings.dropdownWidth == true) {
                    $(this).children(targetClick).css({
                        width: '100%'
                    });
                }

                // dropdownTopAuto - if it's not undefined && equal to true
                if (settings.dropdownTopAuto !== 'undefined' && settings.dropdownTopAuto == true) {
                    var eleHeight = $(this).children(targetClick).innerHeight();
                    $(this).children(targetContent).css({
                        top: eleHeight
                    });
                }

                // customClass - if it's not undefined
                if (settings.customClass !== 'undefined') {
                    $(this).addClass(settings.customClass);
                }
            })
        },

        // plugin defaults - added as a property on our plugin function.
        $.fn.dropdown.defaults = {
            dropdownWidth: false,
            dropdownTopAuto: true,
            customClass: 'undefined'
        }
}(jQuery));
